# 自动收集当前目录下的所有 .cpp 文件
file(GLOB TOOLS_SOURCES *.cpp)

# 创建 tools 库
if (NOT TOOLS_SOURCES)
    message(WARNING "No source files found in src/tools, defining tools as INTERFACE library")
    add_library(tools INTERFACE)
else()
    add_library(tools STATIC ${TOOLS_SOURCES})
endif()

target_include_directories(tools PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
